Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.grid.fastgridcell
Class TileGridCellPortrayal

    java.lang.Object
      sim.portrayal3d.grid.fastgridcell.GridCellQuadPortrayal
          sim.portrayal3d.grid.fastgridcell.TileGridCellPortrayal

All Implemented Interfaces:
  Portrayal, java.io.Serializable

Direct Known Subclasses:
  NoZGridCellPortrayal

public class TileGridCellPortrayal
extends GridCellQuadPortrayal

See Also:
  Serialized Form

Field Summary
`protected int` | `colorComponents`
`protected ColorCoding` | `colorDispenser`
`float[]` | `tmpColor`
`float[]` | `tmpCoords`

Constructor Summary
`TileGridCellPortrayal(int colorComponents, ColorCoding colorDispenser)`

Method Summary
`void` | `setData(GridCellInfo gridCell, float[] coordinates, float[] colors, int quadIndex)`

Methods inherited from class sim.portrayal3d.grid.fastgridcell.GridCellQuadPortrayal
`getInspector, getName, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tmpCoords

    public float[] tmpCoords

### tmpColor

    public float[] tmpColor

### colorComponents

    protected int colorComponents

### colorDispenser

    protected ColorCoding colorDispenser

Constructor Detail

### TileGridCellPortrayal

    public TileGridCellPortrayal(int colorComponents,
                                 ColorCoding colorDispenser)

Method Detail

### setData

    public void setData(GridCellInfo gridCell,
                        float[] coordinates,
                        float[] colors,
                        int quadIndex)

  Specified by:
    `setData` in class `GridCellQuadPortrayal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD